Bug 491002 - postfix generates many SELinux messages every few seconds
postfix generates many SELinux messages every few seconds
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 16:43 EDT by John Schmitt
Modified: 2009-06-10 04:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Schmitt 2009-03-18 16:43:56 EDT
Description of problem:  e.g. SELinux is preventing smtpd (postfix_smtpd_t) "read write" to ./inet.smtp (var_run_t).

How reproducible:
Configure and run postfix

Mar 18 13:30:11 mediapc setroubleshoot: SELinux is preventing lmtp (postfix_smtp_t) "lock" to /var/spool/postfix/pid/unix.lmtp (var_run_t). For complete SELinux messages. run sealert -l ef1e2977-81e9-4588-b36e-f2cb1e879f8e
Mar 18 13:30:11 mediapc setroubleshoot: SELinux is preventing local (postfix_local_t) "lock" to /var/spool/postfix/pid/unix.local (var_run_t). For complete SELinux messages. run sealert -l d47fa2a7-62a7-4afe-8ffa-7762a0b13a51
Mar 18 13:30:11 mediapc setroubleshoot: SELinux is preventing smtpd (postfix_smtpd_t) "lock" to /var/spool/postfix/pid/inet.smtp (var_run_t). For complete SELinux messages. run sealert -l feee5c8f-9310-4371-825c-4e17cd29ad88
Mar 18 13:30:12 mediapc setroubleshoot: SELinux is preventing cleanup (postfix_cleanup_t) "lock" to /var/spool/postfix/pid/unix.cleanup (var_run_t). For complete SELinux messages. run sealert -l 47059a50-30cd-4cdd-aab4-2f65dbec6dbc
Comment 1 John Schmitt 2009-03-18 17:01:01 EDT
I got some help from #fedora-selinux:  (Thanks dgrift!)

$ ls -alZ /var/spool/postfix | grep pid
drwxr-xr-x  root    root     system_u:object_r:var_run_t:s0   pid
ls -alZ /var/spool | grep postfix
drwxr-xr-x  root   root   system_u:object_r:postfix_spool_t:s0 postfix

$ restorecon -R -v /var/spool/postfix
restorecon reset /var/spool/postfix/pid/unix.defer context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/unix.smtp context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/unix.cleanup context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/master.pid context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/unix.lmtp context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/inet.submission context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/unix.bounce context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
restorecon reset /var/spool/postfix/pid/unix.local context unconfined_u:object_r:var_run_t:s0->system_u:object_r:postfix_var_run_t:s0
Comment 2 Daniel Walsh 2009-04-15 08:32:25 EDT
Any idea how this directory got destroyed and recreated?   It should have had the correct context, at install time, and restorecon cleaned it up.  If the admin destroyed and recreated the directory it is a user error.  If postfix created the directory after it was deleted, then it is an SELiux bug.
Comment 3 Daniel Walsh 2009-04-15 08:36:09 EDT
Miroslav, 

add

files_spool_filetrans(postfix_master_t, postfix_spool_t, dir)

to postfix.te in F10 and F9
Comment 4 Miroslav Grepl 2009-04-17 10:55:25 EDT
Fixed in selinux-policy-3.3.1-132.fc9
Comment 5 Bug Zapper 2009-06-09 23:37:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.